package cn.com.ctop.job.kuaishou.data.service;

import cn.com.ctop.job.kuaishou.data.entity.KuaishouAdUnitList;
import cn.com.ctop.job.kuaishou.data.entity.OauthToken;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.PrimitiveIterator;

/**
 * 定时任务
 *
 * @author zian Y
 * 2022-01-05
 * @version V1.0
 */
public interface IAdUnitReportService{

    void getAdUnitReport(Long advertiserId, String accessToken, String startDate, String endDate, int page);

    void getAdPlanReport(Long advertiserId, String accessToken, String startDate, String endDate, int page);

    void getAgentReport();

    void getKuaishouAccountAdSceneDaily(Long advertiserId, String accessToken, String startDate, String endDate, int page, String temporalGranularity, List<String> reportDims);

    void crowdAnalysisReport(Long advertiserId, String accessToken, String date,  List<Long> campaignIds,List<Long> unitIds, List<String> reportDims,Integer page);

    void getKuaishouDailyFlows(Long advertiserId, String accessToken,int page);

    void getKuaishouDailyFundGet(Long advertiserId,String accessToken);
}
