package cn.com.ctop.job.kuaishou.data.mapper;

import cn.com.ctop.job.kuaishou.data.entity.*;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 快手-广告组信息
 *
 * @author jeecg-boot 2021-09-07
 * @version V1.0
 */
public interface AdUnitReportMapper{

  //批量插入 快手-广告组信息
  void replaceBatchKsAdUnit(@Param("addList") List<KuaishouAdUnitList> addList);

  //批量插入 快手-广告计划信息
  void replaceBatchKsCampaign(@Param("addList") List<KuaishouCampaignList> addList);

  //批量插入 快手-代理商数据
  void replaceBatchAgentReport(@Param("addList") List<KuaiShouDailyAgent> addList);

}
